//********************************************************************
//*** t/SkippedException.hh
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: SkippedException.hh,v 1.4 2009-03-02 14:16:47 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_T_SkippedException_HH
#define RESOURCEPOOL_T_SkippedException_HH

#ifndef INCLUDED_EXCEPTIONS_HH
#include "Exceptions/Exception.hh"
#endif

namespace fatalmind {

class SkippedException: virtual public Exception {
	public:
		SkippedException(const std::string &msg): Exception(msg) {
		}
};

} // namespace fatalmind

#endif //  RESOURCEPOOL_T_SkippedException_HH
